Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.url
Class URLHandlerRegistry

    java.lang.Object
      fr.jayasoft.ivy.url.URLHandlerRegistry

public class URLHandlerRegistry
extends java.lang.Object

Author:
  Xavier Hanin

Constructor Summary
`URLHandlerRegistry()`

Method Summary
`static URLHandler` | `getDefault()`
`static URLHandler` | `getHttp()` This method is used to get appropriate http downloader dependening on Jakarta Commons HttpClient availability in classpath, or simply use jdk url handling in other cases.
`static URLHandler` | `getHttp(java.lang.String realm, java.lang.String host, java.lang.String userName, java.lang.String passwd)` This method is used to get appropriate http downloader dependening on Jakarta Commons HttpClient availability in classpath, or simply use jdk url handling in other cases.
`static void` | `setDefault(URLHandler def)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLHandlerRegistry

    public URLHandlerRegistry()

Method Detail

### getDefault

    public static URLHandler getDefault()

### setDefault

    public static void setDefault(URLHandler def)

### getHttp

    public static URLHandler getHttp(java.lang.String realm,
                                     java.lang.String host,
                                     java.lang.String userName,
                                     java.lang.String passwd)

  This method is used to get appropriate http downloader dependening on Jakarta Commons HttpClient availability in classpath, or simply use jdk url handling in other cases.

  Parameters:
    `realm` -
    `host` -
    `userName` -
    `passwd` -
  Returns:
    most accurate http downloader

### getHttp

    public static URLHandler getHttp()

  This method is used to get appropriate http downloader dependening on Jakarta Commons HttpClient availability in classpath, or simply use jdk url handling in other cases.

  Returns:
    most accurate http downloader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD